Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76837 - Python crashes when using ExtensionClasses
Summary: Python crashes when using ExtensionClasses
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: python
Version: 8.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Mihai Ibanescu
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-27 22:16 UTC by Need Real Name
Modified: 2008-08-01 16:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-25 20:39:20 UTC


Attachments (Terms of Use)
This makes ExtensionClasses work with python 2.2.1 again. (deleted)
2002-10-27 22:17 UTC, Need Real Name
no flags Details | Diff

Description Need Real Name 2002-10-27 22:16:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20021013
Phoenix/0.3

Description of problem:
Python versions higher than 2.2, but prior to 2.2.2 crashes when trying to
import an ExtensionClasses module (ZODB, the persistence database used by Zope
for example have a few of these).
There are two solutions, either upgrade to 2.2.2 which was released some time
ago or apply the patch that's attached.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Compile and install ZODB (any versions)
2. run python
3. type "import ZODB"
	

Actual Results:  Python crashes

Expected Results:  It shouldn't have crashed

Additional info:

Comment 1 Need Real Name 2002-10-27 22:17:19 UTC
Created attachment 82305 [details]
This makes ExtensionClasses work with python 2.2.1 again.

Comment 2 Mihai Ibanescu 2002-11-05 13:03:30 UTC
This would make a good candidate for a bugfix release. Will try to release a
python 2.2.2 package in Raw Hide. I'll let you know when it's ready.

Comment 3 Mihai Ibanescu 2002-11-25 20:02:06 UTC
Can you please grab the python packages from rahide and give them a try? They
are python 2.2.2 packages.

Comment 4 Need Real Name 2002-11-25 20:13:08 UTC
Misa, where can i find them? I just looked at:
ftp://rawhide.redhat.com/pub/redhat/linux/rawhide/i386/RedHat/RPMS/

And it appears that they haven't landed yet. Maybe i'm looking at the wrong place.

Comment 5 Mihai Ibanescu 2002-11-25 20:39:12 UTC
Oh well.
Try:

ftp://people.redhat.com/misa/fixes/python/

Comment 6 Need Real Name 2002-11-25 20:53:40 UTC
Yes, i just tried to compile zodb, it seems to work fine now.

thanks.


Note You need to log in before you can comment on or make changes to this bug.